curl --request PATCH \
--url https://qodo-platform.{tenant}.st.qodo.ai/platform/v1/admin/users/{member_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"organization_permission": "owner"
}
'{
"member_id": "<string>",
"organization_permission": "owner",
"permission": "owner",
"team_id": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": {
"redirectTo": "<string>"
}
}{
"detail": [
{
"type": "<string>",
"loc": [
"<string>"
],
"msg": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}API reference
Update a member's role or team
Updates a registered member’s organization role, team role, or team. Send at least one field. Send organization_permission and team_id in separate requests. A team must belong to the caller’s workspace, and a pending invitation cannot be updated. The last organization owner cannot be demoted.
PATCH
/
platform
/
v1
/
admin
/
users
/
{member_id}
curl --request PATCH \
--url https://qodo-platform.{tenant}.st.qodo.ai/platform/v1/admin/users/{member_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"organization_permission": "owner"
}
'{
"member_id": "<string>",
"organization_permission": "owner",
"permission": "owner",
"team_id": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": {
"redirectTo": "<string>"
}
}{
"detail": [
{
"type": "<string>",
"loc": [
"<string>"
],
"msg": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
A personal sk- API key that belongs to an organization owner. Send it as Authorization: Bearer sk-.... See Set up the User management API.
Headers
A unique request ID generated by the client for request tracing.
Path Parameters
The user's email address or the pending invitation ID.
Body
application/json
Provide at least one field. Send organization_permission and team_id in separate requests.
Was this page helpful?